Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network110.22.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
110.22.64.0
Broadcast address
110.22.127.255
First usable
110.22.64.1
Last usable
110.22.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 6E164000 · Integer 1846951936 to 1846968319
Reverse DNS zones
64.22.110.in-addr.arpa
65.22.110.in-addr.arpa
66.22.110.in-addr.arpa
67.22.110.in-addr.arpa
68.22.110.in-addr.arpa
69.22.110.in-addr.arpa
70.22.110.in-addr.arpa
71.22.110.in-addr.arpa
72.22.110.in-addr.arpa
73.22.110.in-addr.arpa
74.22.110.in-addr.arpa
75.22.110.in-addr.arpa
76.22.110.in-addr.arpa
77.22.110.in-addr.arpa
78.22.110.in-addr.arpa
79.22.110.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101110.00010110.01000000.00000000110.22.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01101110.00010110.01000000.00000000110.22.64.0
Broadcast01101110.00010110.01111111.11111111110.22.127.255
Split into smaller subnets/30

110.22.64.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1110.22.64.0/30110.22.64.1 to 110.22.64.2110.22.64.32
2110.22.64.4/30110.22.64.5 to 110.22.64.6110.22.64.72
3110.22.64.8/30110.22.64.9 to 110.22.64.10110.22.64.112
4110.22.64.12/30110.22.64.13 to 110.22.64.14110.22.64.152
5110.22.64.16/30110.22.64.17 to 110.22.64.18110.22.64.192
6110.22.64.20/30110.22.64.21 to 110.22.64.22110.22.64.232
7110.22.64.24/30110.22.64.25 to 110.22.64.26110.22.64.272
8110.22.64.28/30110.22.64.29 to 110.22.64.30110.22.64.312
9110.22.64.32/30110.22.64.33 to 110.22.64.34110.22.64.352
10110.22.64.36/30110.22.64.37 to 110.22.64.38110.22.64.392
11110.22.64.40/30110.22.64.41 to 110.22.64.42110.22.64.432
12110.22.64.44/30110.22.64.45 to 110.22.64.46110.22.64.472
13110.22.64.48/30110.22.64.49 to 110.22.64.50110.22.64.512
14110.22.64.52/30110.22.64.53 to 110.22.64.54110.22.64.552
15110.22.64.56/30110.22.64.57 to 110.22.64.58110.22.64.592
16110.22.64.60/30110.22.64.61 to 110.22.64.62110.22.64.632
17110.22.64.64/30110.22.64.65 to 110.22.64.66110.22.64.672
18110.22.64.68/30110.22.64.69 to 110.22.64.70110.22.64.712
19110.22.64.72/30110.22.64.73 to 110.22.64.74110.22.64.752
20110.22.64.76/30110.22.64.77 to 110.22.64.78110.22.64.792
21110.22.64.80/30110.22.64.81 to 110.22.64.82110.22.64.832
22110.22.64.84/30110.22.64.85 to 110.22.64.86110.22.64.872
23110.22.64.88/30110.22.64.89 to 110.22.64.90110.22.64.912
24110.22.64.92/30110.22.64.93 to 110.22.64.94110.22.64.952
25110.22.64.96/30110.22.64.97 to 110.22.64.98110.22.64.992
26110.22.64.100/30110.22.64.101 to 110.22.64.102110.22.64.1032
27110.22.64.104/30110.22.64.105 to 110.22.64.106110.22.64.1072
28110.22.64.108/30110.22.64.109 to 110.22.64.110110.22.64.1112
29110.22.64.112/30110.22.64.113 to 110.22.64.114110.22.64.1152
30110.22.64.116/30110.22.64.117 to 110.22.64.118110.22.64.1192
31110.22.64.120/30110.22.64.121 to 110.22.64.122110.22.64.1232
32110.22.64.124/30110.22.64.125 to 110.22.64.126110.22.64.1272
33110.22.64.128/30110.22.64.129 to 110.22.64.130110.22.64.1312
34110.22.64.132/30110.22.64.133 to 110.22.64.134110.22.64.1352
35110.22.64.136/30110.22.64.137 to 110.22.64.138110.22.64.1392
36110.22.64.140/30110.22.64.141 to 110.22.64.142110.22.64.1432
37110.22.64.144/30110.22.64.145 to 110.22.64.146110.22.64.1472
38110.22.64.148/30110.22.64.149 to 110.22.64.150110.22.64.1512
39110.22.64.152/30110.22.64.153 to 110.22.64.154110.22.64.1552
40110.22.64.156/30110.22.64.157 to 110.22.64.158110.22.64.1592
41110.22.64.160/30110.22.64.161 to 110.22.64.162110.22.64.1632
42110.22.64.164/30110.22.64.165 to 110.22.64.166110.22.64.1672
43110.22.64.168/30110.22.64.169 to 110.22.64.170110.22.64.1712
44110.22.64.172/30110.22.64.173 to 110.22.64.174110.22.64.1752
45110.22.64.176/30110.22.64.177 to 110.22.64.178110.22.64.1792
46110.22.64.180/30110.22.64.181 to 110.22.64.182110.22.64.1832
47110.22.64.184/30110.22.64.185 to 110.22.64.186110.22.64.1872
48110.22.64.188/30110.22.64.189 to 110.22.64.190110.22.64.1912
49110.22.64.192/30110.22.64.193 to 110.22.64.194110.22.64.1952
50110.22.64.196/30110.22.64.197 to 110.22.64.198110.22.64.1992
51110.22.64.200/30110.22.64.201 to 110.22.64.202110.22.64.2032
52110.22.64.204/30110.22.64.205 to 110.22.64.206110.22.64.2072
53110.22.64.208/30110.22.64.209 to 110.22.64.210110.22.64.2112
54110.22.64.212/30110.22.64.213 to 110.22.64.214110.22.64.2152
55110.22.64.216/30110.22.64.217 to 110.22.64.218110.22.64.2192
56110.22.64.220/30110.22.64.221 to 110.22.64.222110.22.64.2232
57110.22.64.224/30110.22.64.225 to 110.22.64.226110.22.64.2272
58110.22.64.228/30110.22.64.229 to 110.22.64.230110.22.64.2312
59110.22.64.232/30110.22.64.233 to 110.22.64.234110.22.64.2352
60110.22.64.236/30110.22.64.237 to 110.22.64.238110.22.64.2392
61110.22.64.240/30110.22.64.241 to 110.22.64.242110.22.64.2432
62110.22.64.244/30110.22.64.245 to 110.22.64.246110.22.64.2472
63110.22.64.248/30110.22.64.249 to 110.22.64.250110.22.64.2512
64110.22.64.252/30110.22.64.253 to 110.22.64.254110.22.64.2552
65110.22.65.0/30110.22.65.1 to 110.22.65.2110.22.65.32
66110.22.65.4/30110.22.65.5 to 110.22.65.6110.22.65.72
67110.22.65.8/30110.22.65.9 to 110.22.65.10110.22.65.112
68110.22.65.12/30110.22.65.13 to 110.22.65.14110.22.65.152
69110.22.65.16/30110.22.65.17 to 110.22.65.18110.22.65.192
70110.22.65.20/30110.22.65.21 to 110.22.65.22110.22.65.232
71110.22.65.24/30110.22.65.25 to 110.22.65.26110.22.65.272
72110.22.65.28/30110.22.65.29 to 110.22.65.30110.22.65.312
73110.22.65.32/30110.22.65.33 to 110.22.65.34110.22.65.352
74110.22.65.36/30110.22.65.37 to 110.22.65.38110.22.65.392
75110.22.65.40/30110.22.65.41 to 110.22.65.42110.22.65.432
76110.22.65.44/30110.22.65.45 to 110.22.65.46110.22.65.472
77110.22.65.48/30110.22.65.49 to 110.22.65.50110.22.65.512
78110.22.65.52/30110.22.65.53 to 110.22.65.54110.22.65.552
79110.22.65.56/30110.22.65.57 to 110.22.65.58110.22.65.592
80110.22.65.60/30110.22.65.61 to 110.22.65.62110.22.65.632
81110.22.65.64/30110.22.65.65 to 110.22.65.66110.22.65.672
82110.22.65.68/30110.22.65.69 to 110.22.65.70110.22.65.712
83110.22.65.72/30110.22.65.73 to 110.22.65.74110.22.65.752
84110.22.65.76/30110.22.65.77 to 110.22.65.78110.22.65.792
85110.22.65.80/30110.22.65.81 to 110.22.65.82110.22.65.832
86110.22.65.84/30110.22.65.85 to 110.22.65.86110.22.65.872
87110.22.65.88/30110.22.65.89 to 110.22.65.90110.22.65.912
88110.22.65.92/30110.22.65.93 to 110.22.65.94110.22.65.952
89110.22.65.96/30110.22.65.97 to 110.22.65.98110.22.65.992
90110.22.65.100/30110.22.65.101 to 110.22.65.102110.22.65.1032
91110.22.65.104/30110.22.65.105 to 110.22.65.106110.22.65.1072
92110.22.65.108/30110.22.65.109 to 110.22.65.110110.22.65.1112
93110.22.65.112/30110.22.65.113 to 110.22.65.114110.22.65.1152
94110.22.65.116/30110.22.65.117 to 110.22.65.118110.22.65.1192
95110.22.65.120/30110.22.65.121 to 110.22.65.122110.22.65.1232
96110.22.65.124/30110.22.65.125 to 110.22.65.126110.22.65.1272
97110.22.65.128/30110.22.65.129 to 110.22.65.130110.22.65.1312
98110.22.65.132/30110.22.65.133 to 110.22.65.134110.22.65.1352
99110.22.65.136/30110.22.65.137 to 110.22.65.138110.22.65.1392
100110.22.65.140/30110.22.65.141 to 110.22.65.142110.22.65.1432
101110.22.65.144/30110.22.65.145 to 110.22.65.146110.22.65.1472
102110.22.65.148/30110.22.65.149 to 110.22.65.150110.22.65.1512
103110.22.65.152/30110.22.65.153 to 110.22.65.154110.22.65.1552
104110.22.65.156/30110.22.65.157 to 110.22.65.158110.22.65.1592
105110.22.65.160/30110.22.65.161 to 110.22.65.162110.22.65.1632
106110.22.65.164/30110.22.65.165 to 110.22.65.166110.22.65.1672
107110.22.65.168/30110.22.65.169 to 110.22.65.170110.22.65.1712
108110.22.65.172/30110.22.65.173 to 110.22.65.174110.22.65.1752
109110.22.65.176/30110.22.65.177 to 110.22.65.178110.22.65.1792
110110.22.65.180/30110.22.65.181 to 110.22.65.182110.22.65.1832
111110.22.65.184/30110.22.65.185 to 110.22.65.186110.22.65.1872
112110.22.65.188/30110.22.65.189 to 110.22.65.190110.22.65.1912
113110.22.65.192/30110.22.65.193 to 110.22.65.194110.22.65.1952
114110.22.65.196/30110.22.65.197 to 110.22.65.198110.22.65.1992
115110.22.65.200/30110.22.65.201 to 110.22.65.202110.22.65.2032
116110.22.65.204/30110.22.65.205 to 110.22.65.206110.22.65.2072
117110.22.65.208/30110.22.65.209 to 110.22.65.210110.22.65.2112
118110.22.65.212/30110.22.65.213 to 110.22.65.214110.22.65.2152
119110.22.65.216/30110.22.65.217 to 110.22.65.218110.22.65.2192
120110.22.65.220/30110.22.65.221 to 110.22.65.222110.22.65.2232
121110.22.65.224/30110.22.65.225 to 110.22.65.226110.22.65.2272
122110.22.65.228/30110.22.65.229 to 110.22.65.230110.22.65.2312
123110.22.65.232/30110.22.65.233 to 110.22.65.234110.22.65.2352
124110.22.65.236/30110.22.65.237 to 110.22.65.238110.22.65.2392
125110.22.65.240/30110.22.65.241 to 110.22.65.242110.22.65.2432
126110.22.65.244/30110.22.65.245 to 110.22.65.246110.22.65.2472
127110.22.65.248/30110.22.65.249 to 110.22.65.250110.22.65.2512
128110.22.65.252/30110.22.65.253 to 110.22.65.254110.22.65.2552
129110.22.66.0/30110.22.66.1 to 110.22.66.2110.22.66.32
130110.22.66.4/30110.22.66.5 to 110.22.66.6110.22.66.72
131110.22.66.8/30110.22.66.9 to 110.22.66.10110.22.66.112
132110.22.66.12/30110.22.66.13 to 110.22.66.14110.22.66.152
133110.22.66.16/30110.22.66.17 to 110.22.66.18110.22.66.192
134110.22.66.20/30110.22.66.21 to 110.22.66.22110.22.66.232
135110.22.66.24/30110.22.66.25 to 110.22.66.26110.22.66.272
136110.22.66.28/30110.22.66.29 to 110.22.66.30110.22.66.312
137110.22.66.32/30110.22.66.33 to 110.22.66.34110.22.66.352
138110.22.66.36/30110.22.66.37 to 110.22.66.38110.22.66.392
139110.22.66.40/30110.22.66.41 to 110.22.66.42110.22.66.432
140110.22.66.44/30110.22.66.45 to 110.22.66.46110.22.66.472
141110.22.66.48/30110.22.66.49 to 110.22.66.50110.22.66.512
142110.22.66.52/30110.22.66.53 to 110.22.66.54110.22.66.552
143110.22.66.56/30110.22.66.57 to 110.22.66.58110.22.66.592
144110.22.66.60/30110.22.66.61 to 110.22.66.62110.22.66.632
145110.22.66.64/30110.22.66.65 to 110.22.66.66110.22.66.672
146110.22.66.68/30110.22.66.69 to 110.22.66.70110.22.66.712
147110.22.66.72/30110.22.66.73 to 110.22.66.74110.22.66.752
148110.22.66.76/30110.22.66.77 to 110.22.66.78110.22.66.792
149110.22.66.80/30110.22.66.81 to 110.22.66.82110.22.66.832
150110.22.66.84/30110.22.66.85 to 110.22.66.86110.22.66.872
151110.22.66.88/30110.22.66.89 to 110.22.66.90110.22.66.912
152110.22.66.92/30110.22.66.93 to 110.22.66.94110.22.66.952
153110.22.66.96/30110.22.66.97 to 110.22.66.98110.22.66.992
154110.22.66.100/30110.22.66.101 to 110.22.66.102110.22.66.1032
155110.22.66.104/30110.22.66.105 to 110.22.66.106110.22.66.1072
156110.22.66.108/30110.22.66.109 to 110.22.66.110110.22.66.1112
157110.22.66.112/30110.22.66.113 to 110.22.66.114110.22.66.1152
158110.22.66.116/30110.22.66.117 to 110.22.66.118110.22.66.1192
159110.22.66.120/30110.22.66.121 to 110.22.66.122110.22.66.1232
160110.22.66.124/30110.22.66.125 to 110.22.66.126110.22.66.1272
161110.22.66.128/30110.22.66.129 to 110.22.66.130110.22.66.1312
162110.22.66.132/30110.22.66.133 to 110.22.66.134110.22.66.1352
163110.22.66.136/30110.22.66.137 to 110.22.66.138110.22.66.1392
164110.22.66.140/30110.22.66.141 to 110.22.66.142110.22.66.1432
165110.22.66.144/30110.22.66.145 to 110.22.66.146110.22.66.1472
166110.22.66.148/30110.22.66.149 to 110.22.66.150110.22.66.1512
167110.22.66.152/30110.22.66.153 to 110.22.66.154110.22.66.1552
168110.22.66.156/30110.22.66.157 to 110.22.66.158110.22.66.1592
169110.22.66.160/30110.22.66.161 to 110.22.66.162110.22.66.1632
170110.22.66.164/30110.22.66.165 to 110.22.66.166110.22.66.1672
171110.22.66.168/30110.22.66.169 to 110.22.66.170110.22.66.1712
172110.22.66.172/30110.22.66.173 to 110.22.66.174110.22.66.1752
173110.22.66.176/30110.22.66.177 to 110.22.66.178110.22.66.1792
174110.22.66.180/30110.22.66.181 to 110.22.66.182110.22.66.1832
175110.22.66.184/30110.22.66.185 to 110.22.66.186110.22.66.1872
176110.22.66.188/30110.22.66.189 to 110.22.66.190110.22.66.1912
177110.22.66.192/30110.22.66.193 to 110.22.66.194110.22.66.1952
178110.22.66.196/30110.22.66.197 to 110.22.66.198110.22.66.1992
179110.22.66.200/30110.22.66.201 to 110.22.66.202110.22.66.2032
180110.22.66.204/30110.22.66.205 to 110.22.66.206110.22.66.2072
181110.22.66.208/30110.22.66.209 to 110.22.66.210110.22.66.2112
182110.22.66.212/30110.22.66.213 to 110.22.66.214110.22.66.2152
183110.22.66.216/30110.22.66.217 to 110.22.66.218110.22.66.2192
184110.22.66.220/30110.22.66.221 to 110.22.66.222110.22.66.2232
185110.22.66.224/30110.22.66.225 to 110.22.66.226110.22.66.2272
186110.22.66.228/30110.22.66.229 to 110.22.66.230110.22.66.2312
187110.22.66.232/30110.22.66.233 to 110.22.66.234110.22.66.2352
188110.22.66.236/30110.22.66.237 to 110.22.66.238110.22.66.2392
189110.22.66.240/30110.22.66.241 to 110.22.66.242110.22.66.2432
190110.22.66.244/30110.22.66.245 to 110.22.66.246110.22.66.2472
191110.22.66.248/30110.22.66.249 to 110.22.66.250110.22.66.2512
192110.22.66.252/30110.22.66.253 to 110.22.66.254110.22.66.2552
193110.22.67.0/30110.22.67.1 to 110.22.67.2110.22.67.32
194110.22.67.4/30110.22.67.5 to 110.22.67.6110.22.67.72
195110.22.67.8/30110.22.67.9 to 110.22.67.10110.22.67.112
196110.22.67.12/30110.22.67.13 to 110.22.67.14110.22.67.152
197110.22.67.16/30110.22.67.17 to 110.22.67.18110.22.67.192
198110.22.67.20/30110.22.67.21 to 110.22.67.22110.22.67.232
199110.22.67.24/30110.22.67.25 to 110.22.67.26110.22.67.272
200110.22.67.28/30110.22.67.29 to 110.22.67.30110.22.67.312
201110.22.67.32/30110.22.67.33 to 110.22.67.34110.22.67.352
202110.22.67.36/30110.22.67.37 to 110.22.67.38110.22.67.392
203110.22.67.40/30110.22.67.41 to 110.22.67.42110.22.67.432
204110.22.67.44/30110.22.67.45 to 110.22.67.46110.22.67.472
205110.22.67.48/30110.22.67.49 to 110.22.67.50110.22.67.512
206110.22.67.52/30110.22.67.53 to 110.22.67.54110.22.67.552
207110.22.67.56/30110.22.67.57 to 110.22.67.58110.22.67.592
208110.22.67.60/30110.22.67.61 to 110.22.67.62110.22.67.632
209110.22.67.64/30110.22.67.65 to 110.22.67.66110.22.67.672
210110.22.67.68/30110.22.67.69 to 110.22.67.70110.22.67.712
211110.22.67.72/30110.22.67.73 to 110.22.67.74110.22.67.752
212110.22.67.76/30110.22.67.77 to 110.22.67.78110.22.67.792
213110.22.67.80/30110.22.67.81 to 110.22.67.82110.22.67.832
214110.22.67.84/30110.22.67.85 to 110.22.67.86110.22.67.872
215110.22.67.88/30110.22.67.89 to 110.22.67.90110.22.67.912
216110.22.67.92/30110.22.67.93 to 110.22.67.94110.22.67.952
217110.22.67.96/30110.22.67.97 to 110.22.67.98110.22.67.992
218110.22.67.100/30110.22.67.101 to 110.22.67.102110.22.67.1032
219110.22.67.104/30110.22.67.105 to 110.22.67.106110.22.67.1072
220110.22.67.108/30110.22.67.109 to 110.22.67.110110.22.67.1112
221110.22.67.112/30110.22.67.113 to 110.22.67.114110.22.67.1152
222110.22.67.116/30110.22.67.117 to 110.22.67.118110.22.67.1192
223110.22.67.120/30110.22.67.121 to 110.22.67.122110.22.67.1232
224110.22.67.124/30110.22.67.125 to 110.22.67.126110.22.67.1272
225110.22.67.128/30110.22.67.129 to 110.22.67.130110.22.67.1312
226110.22.67.132/30110.22.67.133 to 110.22.67.134110.22.67.1352
227110.22.67.136/30110.22.67.137 to 110.22.67.138110.22.67.1392
228110.22.67.140/30110.22.67.141 to 110.22.67.142110.22.67.1432
229110.22.67.144/30110.22.67.145 to 110.22.67.146110.22.67.1472
230110.22.67.148/30110.22.67.149 to 110.22.67.150110.22.67.1512
231110.22.67.152/30110.22.67.153 to 110.22.67.154110.22.67.1552
232110.22.67.156/30110.22.67.157 to 110.22.67.158110.22.67.1592
233110.22.67.160/30110.22.67.161 to 110.22.67.162110.22.67.1632
234110.22.67.164/30110.22.67.165 to 110.22.67.166110.22.67.1672
235110.22.67.168/30110.22.67.169 to 110.22.67.170110.22.67.1712
236110.22.67.172/30110.22.67.173 to 110.22.67.174110.22.67.1752
237110.22.67.176/30110.22.67.177 to 110.22.67.178110.22.67.1792
238110.22.67.180/30110.22.67.181 to 110.22.67.182110.22.67.1832
239110.22.67.184/30110.22.67.185 to 110.22.67.186110.22.67.1872
240110.22.67.188/30110.22.67.189 to 110.22.67.190110.22.67.1912
241110.22.67.192/30110.22.67.193 to 110.22.67.194110.22.67.1952
242110.22.67.196/30110.22.67.197 to 110.22.67.198110.22.67.1992
243110.22.67.200/30110.22.67.201 to 110.22.67.202110.22.67.2032
244110.22.67.204/30110.22.67.205 to 110.22.67.206110.22.67.2072
245110.22.67.208/30110.22.67.209 to 110.22.67.210110.22.67.2112
246110.22.67.212/30110.22.67.213 to 110.22.67.214110.22.67.2152
247110.22.67.216/30110.22.67.217 to 110.22.67.218110.22.67.2192
248110.22.67.220/30110.22.67.221 to 110.22.67.222110.22.67.2232
249110.22.67.224/30110.22.67.225 to 110.22.67.226110.22.67.2272
250110.22.67.228/30110.22.67.229 to 110.22.67.230110.22.67.2312
251110.22.67.232/30110.22.67.233 to 110.22.67.234110.22.67.2352
252110.22.67.236/30110.22.67.237 to 110.22.67.238110.22.67.2392
253110.22.67.240/30110.22.67.241 to 110.22.67.242110.22.67.2432
254110.22.67.244/30110.22.67.245 to 110.22.67.246110.22.67.2472
255110.22.67.248/30110.22.67.249 to 110.22.67.250110.22.67.2512
256110.22.67.252/30110.22.67.253 to 110.22.67.254110.22.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses